> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumenaza.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v3producers contracts meter readings

> Returns a list of meter reading objects. Readings are unique through the timestamp, obis_number, and device_identification. They can be modified only if the reading is canceled by the meter operator.



## OpenAPI

````yaml /lumx_openapi.yaml get /v3/producers/{userID}/contracts/{contractID}/meter_readings/
openapi: 3.0.3
info:
  title: Lumenaza external API
  version: 3.8.0 (v3)
  description: Specification of the Lumenaza external API.
servers:
  - url: https://api.lumenaza.de/
    description: Produktivserver
  - url: https://api.test.lumenaza.de/
    description: Testserver
security: []
tags:
  - name: Community Data API
    description: >-
      The API is used to retrieve master data and measurement data for a
      community. A community is defined by all customers that belong to your
      company.
paths:
  /v3/producers/{userID}/contracts/{contractID}/meter_readings/:
    get:
      tags:
        - producers
      description: >-
        Returns a list of meter reading objects. Readings are unique through the
        timestamp, obis_number, and device_identification. They can be modified
        only if the reading is canceled by the meter operator.
      operationId: producers_contracts_meter_readings_list
      parameters:
        - in: path
          name: contractID
          schema:
            type: string
          required: true
        - in: query
          name: created
          schema:
            type: string
            format: date-time
        - in: query
          name: created__gte
          schema:
            type: string
            format: date-time
        - in: query
          name: created__lte
          schema:
            type: string
            format: date-time
        - in: query
          name: device_identification
          schema:
            type: string
            minLength: 1
        - in: query
          name: modified
          schema:
            type: string
            format: date-time
        - in: query
          name: modified__gte
          schema:
            type: string
            format: date-time
        - in: query
          name: modified__lte
          schema:
            type: string
            format: date-time
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - in: query
          name: timestamp
          schema:
            type: string
            format: date-time
        - in: query
          name: timestamp__gte
          schema:
            type: string
            format: date-time
        - in: query
          name: timestamp__lte
          schema:
            type: string
            format: date-time
        - in: path
          name: userID
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedMeterReadingListList'
              examples:
                MeterReading:
                  value:
                    count: 123
                    next: http://api.example.org/accounts/?page=4
                    previous: http://api.example.org/accounts/?page=2
                    results:
                      - device_identification: string
                        timestamp: '2022-10-01T10:00:00.000Z'
                        reason: Gerätewechsel
                        quality: Abgelesener Wert
                        value: 0
                        obis_number: string
                        is_cancelled: true
                        created: '2022-10-01T10:00:00.000Z'
                        modified: '2022-10-01T10:00:00.000Z'
                  summary: Meter reading
          description: ''
        '400':
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: array
                  items:
                    type: string
                example:
                  email:
                    - Enter a valid email address.
                  non_field_errors:
                    - Invalid combination of fields.
              examples:
                400BadRequest:
                  value:
                    timestamp:
                      - Datetime has wrong format.
                  summary: 400 Bad Request
          description: Invalid query parameters.
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundResponse'
          description: Producer contract not found.
components:
  schemas:
    PaginatedMeterReadingListList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/MeterReadingList'
    NotFoundResponse:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail
    MeterReadingList:
      type: object
      properties:
        device_identification:
          type: string
          description: >-
            identification number of the related device (Smart Meter Gateway or
            Meter)
        timestamp:
          type: string
          format: date-time
          description: timestamp of reading formatted as ISO 8601
        reason:
          type: string
          description: Reason for reading (not used after 01.10.2022, removed by BDEW)
        quality:
          type: string
          description: quality of reading
        value:
          type: integer
          description: the reading value in [Wh]
        obis_number:
          type: string
          description: The OBIS number (register value) the reading value belongs to
        is_cancelled:
          type: boolean
          description: true if the reading is cancelled by the meter operator
        created:
          type: string
          format: date-time
          description: the timestamp when the meter reading is received by Lumenaza
        modified:
          type: string
          format: date-time
          description: the timestamp when the meter reading is changed by Lumenaza
      required:
        - created
        - device_identification
        - is_cancelled
        - modified
        - obis_number
        - quality
        - reason
        - timestamp
        - value

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.